{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>tasks:write</code>\n\nCreates and returns a job that will asynchronously roll up the subtask dates for the subtask tree rooted at the task with the given `task_gid`. Each parent task's start and due dates are reconciled to cover its descendants' date range.","properties":{"path":{"type":"object","properties":{"task_gid":{"type":"string","examples":["321654"],"description":"The task to operate on."}},"required":["task_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["dates_rollup_progress","dates_rollup_progress.total_tasks","dates_rollup_progress.updated_tasks","new_graph_export","new_graph_export.completed_at","new_graph_export.created_at","new_graph_export.download_url","new_portfolio","new_portfolio.name","new_portfolio.resource_subtype","new_project","new_project.name","new_project.resource_subtype","new_project_template","new_project_template.name","new_resource_export","new_resource_export.completed_at","new_resource_export.created_at","new_resource_export.download_url","new_task","new_task.created_by","new_task.name","new_task.resource_subtype","resource_subtype","status"]},"examples":[["dates_rollup_progress","dates_rollup_progress.total_tasks","dates_rollup_progress.updated_tasks","new_graph_export","new_graph_export.completed_at","new_graph_export.created_at","new_graph_export.download_url","new_portfolio","new_portfolio.name","new_portfolio.resource_subtype","new_project","new_project.name","new_project.resource_subtype","new_project_template","new_project_template.name","new_resource_export","new_resource_export.completed_at","new_resource_export.created_at","new_resource_export.download_url","new_task","new_task.created_by","new_task.name","new_task.resource_subtype","resource_subtype","status"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Roll up subtask dates for a task","id":"asana.rolluptask","example":{"path":{"task_gid":"321654"}},"maxRequests":1,"summary":false}}